12

How to install OpenJDK-6 1.10.4 on Lucid (10.04 LTS)

view full story
linux-howto

http://askubuntu.com – Ubuntu Server Lucid (10.04) works perfect on my good old i586, but it lacks the CMOV instruction required for the openjdk-6-jdk (6b20-0ubuntu1 ~ 01.09.10-10.04.3), this "bug" been fixed in version 1.10 of OpenJDK (http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2011-March/013371....) Is there an way to install (or repack/recompile) openjdk-6-jdk (6b22-1.10.4-0ubuntu1~11.04.2) for Lucid? Or a tutorial to compile the 1.10.4 version from source? Pardon my ignorance ;) (HowTos)